package com.ruoyi.project.ehs.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 灭火器对象 t_fireextinguisher
 *
 * @author ruoyi
 * @date 2020-11-25
 */
public class TFireextinguisher extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 装置 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 位置 */
    @Excel(name = "位置")
    private String location;

    /** 器材名称 */
    @Excel(name = "器材名称")
    private String name;

    /** 编号 */
    @Excel(name = "编号")
    private String numb;

    /** 数量 */
    @Excel(name = "数量")
    private Long quantity;

    /** 负责人 */
    private String owner;

    /** 检查人 */
    @Excel(name = "检查人")
    private String inspector;

    /** 检查日期/上旬 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "检查日期/上旬", width = 30, dateFormat = "yyyy-MM-dd")
    private Date upinspectdate;

    /** 检查日期/下旬 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "检查日期/下旬", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dninspectdate;

    /** 检查状况 */
    @Excel(name = "检查状况", dictType = "INSPECTSTATUS")
    private String inspectstatus;

    /** 删除标识 */
    private Long delFlag;

    /** 创建人
 */
    private String createrCode;

    /** 创建日期 */
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新日期 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;
    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    private Long[] ids;

    public Long[] getIds() {
        return ids;
    }

    public void setIds(Long[] ids) {
        this.ids = ids;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setNumb(String numb)
    {
        this.numb = numb;
    }

    public String getNumb()
    {
        return numb;
    }
    public void setQuantity(Long quantity)
    {
        this.quantity = quantity;
    }

    public Long getQuantity()
    {
        return quantity;
    }
    public void setOwner(String owner)
    {
        this.owner = owner;
    }

    public String getOwner()
    {
        return owner;
    }
    public void setInspector(String inspector)
    {
        this.inspector = inspector;
    }

    public String getInspector()
    {
        return inspector;
    }
    public void setUpinspectdate(Date upinspectdate)
    {
        this.upinspectdate = upinspectdate;
    }

    public Date getUpinspectdate()
    {
        return upinspectdate;
    }
    public void setDninspectdate(Date dninspectdate)
    {
        this.dninspectdate = dninspectdate;
    }

    public Date getDninspectdate()
    {
        return dninspectdate;
    }
    public void setInspectstatus(String inspectstatus)
    {
        this.inspectstatus = inspectstatus;
    }

    public String getInspectstatus()
    {
        return inspectstatus;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("location", getLocation())
            .append("name", getName())
            .append("numb", getNumb())
            .append("quantity", getQuantity())
            .append("owner", getOwner())
            .append("inspector", getInspector())
            .append("upinspectdate", getUpinspectdate())
            .append("dninspectdate", getDninspectdate())
            .append("inspectstatus", getInspectstatus())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
